Name:         	mp3blaster
Summary:      	Command Line MP3 Player
URL:          	http://mp3blaster.sourceforge.net/
License:      	GNU General Public License version 2 (GPL v2)
Group:        	Productivity/Multimedia/Sound/Players
Version:      	3.2.5
Release:      	3.1
# http://switch.dl.sourceforge.net/sourceforge/mp3blaster/%{name}-%{version}.tar.gz
Source:       	%{name}-%{version}.tar.bz2
Patch0:		    mp3blaster-3.2.5-invalid_conversion.patch
Patch1:         mp3blaster-charmap.patch
Patch2:         mp3blaster-fix_missing_return_in_nonvoid_functions.patch
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	autoconf automake libtool
BuildRequires: 	gcc-c++ libvorbis-devel lirc ncurses-devel libsidplay1-devel
%if %suse_version > 1110
BuildRequires:	lirc-devel
%endif

%description
MP3blaster is a full-featured MP3 player for all you guys that do not
like graphical user interfaces.




Authors:
--------
    Bram Avontuur <bram@avontuur.org>
    Woo-jae Jung <jwj95@nownuri.net>


%prep
%setup -q
%patch0 -p1
%patch1
%patch2

%build
%{suse_update_config -f .}
autoreconf -fiv
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CPPFLAGS="$CFLAGS"
%configure --with-lirc
%__make %{?jobs:-j%{jobs}}

pushd doc/charmap
%__make %{?jobs:-j%{jobs}} -f makefile.charmap \
    CC="%__cc" \
    OPTFLAGS="%{optflags}"
popd #doc/charmap

%install
%makeinstall

%__install -d "%{buildroot}%{_libdir}/%{name}"
%__install -m0755 doc/charmap/{chargen,maketbl} "%{buildroot}%{_libdir}/%{name}/"
%__install -m0644 doc/charmap/README README.charmap
%__sed -i 's|@@LIBDIR@@|%{_libdir}/%{name}|g' README.charmap

%__rm -rf "%{buildroot}%{_datadir}/mp3blaster/charmap"


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO BUGS CREDITS FAQ
%doc README.charmap
%{_bindir}/mp3blaster
%{_bindir}/nmixer
%{_bindir}/mp3tag
%{_bindir}/splay
%{_libdir}/mp3blaster
%{_datadir}/mp3blaster
%{_mandir}/man1/mp3blaster.1*
%{_mandir}/man1/nmixer.1*
%{_mandir}/man1/splay.1*

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- fix Factory build by adding autoconf automake libtool buildreq
* Sun Dec 13 2009 pascal.bleser@opensuse.org
- tidying up
* Fri Nov 13 2009 detlef@links2linux.de
- update to 3.2.5
  * minor compilation fixes from freebsd ports maintainer Roman Bogorodskiy
  * Fixed bug in buffering code when using SDL as audio output; this fixes
    possible hickups in such cases.
  * When changing back directories in the file browser, jump to the.
    position in the file list the user came from..
  * Reduced number of warnings using newer g++ versions
* Fri Jun 27 2008 henne@links2linux.de
- fix some missing includes
* Wed Dec 20 2006 henne@links2linux.de
- update to 3.2.3
* Wed Mar 22 2006 henne@links2linux.de
- update to 3.2.2
* Thu Mar 16 2006 henne@links2linux.de
- update to 3.2.1
* Tue Sep 20 2005 henne@links2linux.de
- First packman release
